<?PHP

function get_printer_toner_levels($ip, $community, $toner, $id) {
	switch ($id) {
		case 1:
			// HP Color LaserJet
			$toner = strtolower($toner);
			$db_temp = new PDO("sqlite:databases/devices.database.sqlite3");
			$db_query = $db_temp->query("SELECT oid FROM mibs WHERE id = '1' AND desc = 'remaining_".$toner."';");
			foreach($db_query as $row) {
				$oid['remaining'] = $row['oid'];
			}
			$db_query = $db_temp->query("SELECT oid FROM mibs WHERE id = '1' AND desc = 'max_".$toner."';");
			foreach($db_query as $row) {
				$oid['max'] = $row['oid'];
			}
			unset($db_query);
			snmp_set_valueretrieval(SNMP_VALUE_PLAIN);
			$max = snmp2_get($ip, $community, $oid['max']);
			$remaining = snmp2_get($ip, $community, $oid['remaining']);
			$percent = (($remaining/$max)*100);
			$return = $percent;
			break;
	}
	return $return;
}

function get_printer_toner_names($ip, $community, $toner, $id) {
	switch ($id) {
		case 1:
			// HP Color LaserJet
			$toner = strtolower($toner);
			$db_temp = new PDO("sqlite:databases/devices.database.sqlite3");
			$db_query = $db_temp->query("SELECT oid FROM mibs WHERE id = '1' AND desc = 'part_".$toner."';");
			foreach($db_query as $row) {
				$oid['part'] = $row['oid'];
			}
			unset($db_query);
			snmp_set_valueretrieval(SNMP_VALUE_PLAIN);
			$name = snmp2_get($ip, $community, $oid['part']);
			$return = $name;
			break;
	}
	return $return;
}

function get_printer_status($ip, $community, $id) {
	switch ($id) {
		case 1:
			// HP Color LaserJet
			$db_temp = new PDO("sqlite:databases/devices.database.sqlite3");
			$db_query = $db_temp->query("SELECT oid FROM mibs WHERE id = '1' AND desc = 'status';");
			foreach($db_query as $row) {
				$oid['status'] = $row['oid'];
			}
			unset($db_query);
			snmp_set_valueretrieval(SNMP_VALUE_PLAIN);
			$status = snmp2_get($ip, $community, $oid['status']);
			$return = $status;
			break;
	}
	return $return;
}

function get_printer_pages_total($ip, $community, $id) {
	switch ($id) {
		case 1:
			// HP Color LaserJet
			$db_temp = new PDO("sqlite:databases/devices.database.sqlite3");
			$db_query = $db_temp->query("SELECT oid FROM mibs WHERE id = '1' AND desc = 'total_pages';");
			foreach($db_query as $row) {
				$oid['pages'] = $row['oid'];
			}
			unset($db_query);
			snmp_set_valueretrieval(SNMP_VALUE_PLAIN);
			$pages = snmp2_get($ip, $community, $oid['pages']);
			$return = $pages;
			break;
	}
	return $return;
}

// this function test to see if the status is a known error
function get_printer_status_test($id, $status) {
	switch ($id) {
		case 1:
			// HP Color LaserJet
			$db_temp = new PDO("sqlite:databases/devices.database.sqlite3");
			$db_query = $db_temp->query("SELECT count(*) FROM status_bad WHERE snmp_id = '1' AND status = '".$status."';");
			foreach($db_query as $row) {
				$count = $row['count(*)'];
			}
			$return = $count;	
	}
	return $return;
}
?>