<?PHP
/*
	Prototype CRON/Scheduled script for the SNMP device polling.
	Adam Boutcher
	bd84dz@student.sunderland.ac.uk / adam.boutcher@gmail.com
	Requires: PHP5, PHP-SNMP, PHP-SQLite (SQLite3 PDO)

		RUN THIS FILE!
		This is the file you need to tell your scheduler to run.
*/

// Load up The Functions
	require("functions/base/device.php");
	require("functions/base/alert.php");
	require("functions/base/logger.php");
	require("functions/base/ping.php");

// run through the checkers
	require("printer.cron.php");
	require("wifi.cron.php");
	
// Send any alerts
	send_alert();		//Emails
	send_alert_hd();	//Helpdesk

// Bye Bye
	exit();
?>